on:
  push:
    branches: [ main ]
  pull-request:
    branches: [ main ]

name: Continuous integration

jobs: 
  build:
    name: build
    runs-on: ubuntu-latest
    steps:
      - uses: actions-rust-lang/setup-rust-toolchain@v1
        with:
          target: x86_64-unknown-none
          components: rust-src, llvm-tools-preview
          toolchain: nightly
      - uses: actions/checkout@v4
        with:
          submodules: true
      - run: cargo build